Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Managed support for strongnames. To be added
- Constructor
  Creates an empty StrongName instance.
  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  a CryptoAPI encoded key blob.
  Creates an StrongName instance with the a CryptoAPI encoded key blob.

  The key blob can either contain a complete key pair or only a public key.

  The ECMA "key" is also supported as a special case.

  1.0.5000.0
  2.0.0.0
- Constructor
  1.0.5000.0
  2.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  a instance containing either a key pair or only a public key.
  Creates an StrongName instance with the specified RSA key.
  The RSA parameter can be a complete key pair (e.g. for signing) or only a public key (e.g. for verifying).
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean Returns if the current key can be used for signature (i.e. if the private key is available). True if the private key is available, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Return an encoded strongname. an array of bytes containing the encoded strongname key. The encoded key is compatible with the format used by the SN tool (.snk) for keys containing the private/public key pair or only the public key. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The filename of the assembly to hash. Return the hash of the specified assembly. an array of bytes containing the SHA1 hash of the assembly. Useful to compare if two assemblies only differs by their strongname signature. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] The properly encoded public key. an array of bytes containing the encoded public key. The first 12 bytes are a special header required for strongnames public key. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] The public key token matching the current public key. an array of 8 bytes containing the public key token. The public key token is generated by hash the public key using the algorithm. The last 8 bytes (in reverse order) are used as the token. 1.0.5000.0 2.0.0.0
- Property
  System.Security.Cryptography.RSA The RSA key used to sign an assembly or verify it's strongname signature. a A new key pair will be generated on get if no key was specified with the constructor. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` The filename of the assembly to sign. Strongname the specified assembly file. True if the file could be signed, false otherwise. Only PE files containing a .NET assembly with a public key can be signed. 1.0.5000.0 2.0.0.0
- Property
  System.String The hash algorithm used to compute the public key token. a containing the hash algorithm name. Defaults to SHA1. Valid values are SHA1 and MD5. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` The filename of the signed assembly. Verify the strongname signature of the specified assembly. True if the assembly has a valid signature, false otherwise. Only PE files containing a .NET assembly can be signed. Other file types or unsigned assemblies will return false. 1.0.5000.0 2.0.0.0